/*
 * FILE:    separate.java
 * AUTHORS: Kristian Hasler
 * 
 * Copyright (c) 1999 University College London
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted, for non-commercial use only, provided
 * that the following conditions are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the Computer Science
 *      Department at University College London
 * 4. Neither the name of the University nor of the Department may be used
 *    to endorse or promote products derived from this software without
 *    specific prior written permission.
 * Use of this software for commercial purposes is explicitly forbidden
 * unless prior written permission is obtained from the authors.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
 
import java.awt.*;
import java.applet.*;
import java.util.*;

class separate {
	private Vector lines;
    private int numLines;

	public separate(String Data, String Separator, String Ignore) {
        lines=new Vector(10);
        StringTokenizer t1=new StringTokenizer(Data, Ignore);
		while (t1.hasMoreTokens()) {
		    StringTokenizer t2=new StringTokenizer(t1.nextToken(), Separator);
		    while (t2.hasMoreTokens()) {
                lines.addElement(t2.nextToken());
		    }
            if (t1.hasMoreTokens()) {
                lines.addElement("\""+t1.nextToken()+"\"");
            }
        }
	}

	public separate(String Data, String Separator) {
        lines=new Vector(10);
        StringTokenizer t1=new StringTokenizer(Data, Separator);
		while (t1.hasMoreTokens()) {
            lines.addElement(t1.nextToken());
        }
	}

    public int numLines() {return (lines.size());}
    public String line(int i) {return ((lines.elementAt(i)).toString());}
}